Bug 492816 - Review Request: squeal - A SQL-like interface for the command line
Review Request: squeal - A SQL-like interface for the command line
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-29 20:03 EDT by Dave Malcolm
Modified: 2009-07-07 09:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-07 09:59:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2009-03-29 20:03:55 EDT
Spec URL: http://people.redhat.com/dmalcolm/python/show.spec
SRPM URL: http://people.redhat.com/dmalcolm/python/show-0.4-1.fc10.src.rpm
Description:
show is a SQL-like interface for the command line.  It can turn various types of file into tabular data, run SQL-like queries on them, then present that data in various ways.  By default it displays a curses-based interface for browsing the data
Comment 1 manuel wolfshant 2009-03-30 02:47:56 EDT
I very much like the project itself, but can I persuade you to change its name to something less generic ?
The current name does not really express what it does (it made me think of yet another video player..) and most important, contradicts the recommendation expressed at https://fedoraproject.org/wiki/Packaging_tricks#Use_of_common_namespace
Comment 2 Jason Tibbitts 2009-04-01 16:07:23 EDT
Actually, there's no choice but to change the name, as this package conflicts with nmh which has contained /usr/bin/show for approximately forever.
Comment 3 Dave Malcolm 2009-04-01 16:57:01 EDT
Doh!

Thanks for looking into the naming issue; looks like I need to rename the project.  

My current favourite name for the project is "squeal".  I'd rename "show" to "squeal" throughout.  

There would be a /usr/bin/squeal, and a "squeal" python module.

Does this sound acceptable?  It's over the 5 character minimum listed on the guidelines in comment #1.
Comment 4 Jason Tibbitts 2009-04-01 18:24:26 EDT
I don't see a problem with squeal; the only hit on /usr/bin/squeal is in your blog.
Comment 5 Dave Malcolm 2009-04-03 11:46:22 EDT
Thanks.  "tabulate" is growing on me as well, so would "/usr/bin/tabulate" be acceptable?

Note to self:
  - "tabulate " can be autocompleted as "tab[TAB]" on my system (4 keystrokes, although all 4 are with left hand)
  - "squeal " requires "sque[TAB]" (5 keystrokes) and breaks autocompletion of "squ[TAB]" to "squid"
  - "show " requires 5 keystrokes, but the keys are shared between left and right hands.
Comment 6 manuel wolfshant 2009-04-03 11:54:26 EDT
(In reply to comment #5)
> Thanks.  "tabulate" is growing on me as well, so would "/usr/bin/tabulate" be
> acceptable?
> 
> Note to self:
>   - "tabulate " can be autocompleted as "tab[TAB]" on my system (4 keystrokes,
> although all 4 are with left hand)
http://gadgets.inventivelabs.com.au/tabulate


>   - "squeal " requires "sque[TAB]" (5 keystrokes) and breaks autocompletion of
> "squ[TAB]" to "squid"
I can live with that. I doubt there will be many users with both squid and squeal on the same machine. But I'll be happy to be proven wrong :)


>   - "show " requires 5 keystrokes, but the keys are shared between left and
> right hands.  
show is a .. show stopper, isn't it ( https://bugzilla.redhat.com/show_bug.cgi?id=492816#c2 )?
Comment 7 Dave Malcolm 2009-04-03 12:01:58 EDT
Heh, very good!

BTW, I want to wait a while before renaming, in case someone comes up with a better name, and to become happy with the new name.

If you have other name ideas, please let me know!
Comment 8 Dave Malcolm 2009-04-03 12:10:10 EDT
re the "tabulate" link in comment #6, it appears to be a non-Free iPhone/iPod-only app that works around a deficiency of that proprietary platform.  I don't see it being a source of name confusion on Fedora, or any other Linux distribution, and, as a common English word, I don't see it being trademarkable, though IANAL.
Comment 9 Dave Malcolm 2009-05-19 19:22:06 EDT
I've renamed the code in git to "squeal".  Hope to put together an updated tarball/RPM for review shortly.
Comment 10 Dave Malcolm 2009-05-19 19:26:03 EDT
and I've requested a rename of the Fedora Hosted project; see https://fedorahosted.org/fedora-infrastructure/ticket/1409
Comment 11 Jason Tibbitts 2009-06-03 19:38:35 EDT
Was there any progress on the new package?
Comment 12 Dave Malcolm 2009-06-04 20:53:12 EDT
(renaming this request)

Spec URL: http://people.redhat.com/dmalcolm/python/squeal.spec
SRPM URL: http://people.redhat.com/dmalcolm/python/squeal-0.4-3.src.rpm

Successful scratch build in Koji: 
http://koji.fedoraproject.org/koji/taskinfo?taskID=1394231

and I've fixed the rpmlint warnings.

(I put in a conditional for python-setuptools-devel vs python-setuptools as I'm currently doing this on a RHEL box; I can easily remove that if need be on import)

Release notes here BTW:
https://fedorahosted.org/squeal/wiki/ReleaseNotes/0.4
Comment 13 Jason Tibbitts 2009-07-03 16:02:50 EDT
I finally found some time to make it back to this package; sorry for taking so long.  This one builds fine and rpmlint is silent.

Generally there's no point in mentioning the name of the package in the summary.  There's a group trying to clean these up; there's little point in adding another for them to fix.

It would be nice to elaborate just a bit in the %description.  One gets the impression that this package is something akin to mysqlclient, but in reality it's very far from that.  I'd at least mention that it can parse log files and allow you to make sql-like queries on them.

I'm supposed to ask you to bug upstream to include the text of the license.  In this case I guess I'm just bugging you directly.

* source files match upstream.  sha256sum:         
   a5aa0e8a938f786cd78678cae98f0033565a95b4cc80af36d052244b73b542d8
   squeal-0.4.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
? summary could use a tweak.
? description could use some elaboration.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   squeal = 0.4-3.fc12
  =
   /usr/bin/python
   python(abi) = 2.6
   python-augeas

* %check is not present; no upstream test suite.  I installed and tested this a 
  bit and it seems to work fine.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

The package review process needs reviewers!  If you haven't done any package
reviews recently, please consider doing one.
Comment 14 Dave Malcolm 2009-07-06 13:53:55 EDT
Thanks.

> Generally there's no point in mentioning the name of the package in the
> summary.  There's a group trying to clean these up; there's little point in
> adding another for them to fix.
Fixed; summary now reads "Data manipulation tool for the command line"

> It would be nice to elaborate just a bit in the %description.  One gets the
> impression that this package is something akin to mysqlclient, but in reality
> it's very far from that.  I'd at least mention that it can parse log files and
> allow you to make sql-like queries on them.
Good point; I'd entirely missed that.  I've rewritten the description based on your suggestion.

> I'm supposed to ask you to bug upstream to include the text of the license.  In
> this case I guess I'm just bugging you directly.
I consider myself bugged :-)  I did a 0.4.1 release containing a COPYING file, and added it to the specfile.

Updated SRPM: http://people.redhat.com/dmalcolm/python/squeal-0.4.1-1.src.rpm
Updated specfile: http://people.redhat.com/dmalcolm/python/squeal.spec
Comment 15 Jason Tibbitts 2009-07-06 17:08:24 EDT
Looks good, thanks.

APPROVED
Comment 16 Dave Malcolm 2009-07-06 17:43:22 EDT
New Package CVS Request
=======================
Package Name: squeal
Short Description: Data manipulation tool for the command line
Owners: dmalcolm
Branches: EL-5
InitialCC:
Comment 17 Kevin Fenzi 2009-07-07 00:21:38 EDT
cvs done.
Comment 18 Dave Malcolm 2009-07-07 09:59:47 EDT
Package imported into CVS, tagged, and built successfully:
  - devel: http://koji.fedoraproject.org/koji/taskinfo?taskID=1458819
  - EL-5: http://koji.fedoraproject.org/koji/taskinfo?taskID=1458825

Closing as NEXTRELEASE.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.